# $Revision: 1.43 $, $Date: 2012/01/14 00:29:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Chart
Summary:	Chart - create .png or .jpg files with charts
Summary(pl.UTF-8):	Chart - tworzenie wykresów w formacie .png lub .jpg
Name:		perl-Chart
Version:	2.4.3
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	977026fa73c0fc1e900f1ebe5eee06b7
URL:		http://search.cpan.org/dist/Chart/
%{?with_tests:BuildRequires:	perl-GD}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chart - a series of charting modules.

%description -l pl.UTF-8
Chart - zestaw modułów do tworzenia wykresów.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Chart/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Chart.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%{perl_vendorlib}/Chart/*.pm
%{_mandir}/man3/Chart.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Chart.spec,v $
Revision 1.43  2012/01/14 00:29:02  zbyniu
- up to 2.4.3

Revision 1.42  2008/07/27 22:50:37  arekm
- release 2

Revision 1.41  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.39  2006/07/26 18:36:31  glen
- 2.4.1, generic URL

Revision 1.38  2004/11/03 22:30:09  paladine
- formatting

Revision 1.37  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.36  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.35  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.34  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.33  2004/02/15 19:49:24  adamg
- new style bconds

Revision 1.32  2004/02/15 19:47:21  adamg
- updated to 2.3

Revision 1.31  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.24  2003/02/24 09:19:00  qboosh
- polished pl summary

Revision 1.23  2003/02/22 21:57:56  radek
- added documentation, provided informative summaries, made BR:perl-GD conditional

Revision 1.22  2003/02/20 23:23:23  ankry
- updated to 2.2

Revision 1.21  2003/02/18 15:27:56  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/09/16 08:20:09  ankry
- added tests on bcond
- added translations, cleaning
- remove %{perl_sitelib}/Chart dir (moved to perl) and .pod files
- release 2

Revision 1.19  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.18  2002/07/11 07:57:38  depesz
- new version; should work; STBR

Revision 1.17  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 08:57:03  kloczek
- release 7.

Revision 1.15  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:24:42  depesz
adapterized

Revision 1.13  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.11  2001/04/17 12:06:26  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/29 15:39:06  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  1999/11/26 04:00:37  pius
- typo corrected

Revision 1.2  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.1  1999/10/31 15:05:36  pius
- initial release
